local addon, ns = ...

local Defaults = {
	HKVis = true,
	MenuVis = true,
	ArtifactBarViz = false,
	CastBarDisable = false;
	G13MainBar = {
		point = "BOTTOM", 
		xOfs = 0, 
		yOfs = 21
	},
	G13BRBar = {
		point = "BOTTOM", 
		xOfs = 600, 
		yOfs = 21
	},
	G13PetBar = {
		point = "BOTTOM", 
		xOfs = 535, 
		yOfs = 150
	},
	G13StanceBar = {
		point = "BOTTOM", 
		xOfs = 422, 
		yOfs = 150
	},
	G13BagBar = {
		point = "BOTTOM", 
		xOfs = 770, 
		yOfs = 67
	},
	G13MenuBar = {
		point = "BOTTOM", 
		xOfs = 491, 
		yOfs = 67
	},
	G13XPBar = {
		point = "TOP", 
		xOfs = 0, 
		yOfs = -21
	},
	G13CastBar = {
		point = "BOTTOM", 
		xOfs = 0, 
		yOfs = 190
	}
}

local function CheckDefaults()
	--Set the defaults if there aren't SavedVaiables values
	if G13BarManager == nil then
		G13BarManager = Defaults
	end
	--If there are old version default, but not updated ones, fill the new ones
	if G13BarManager.G13CastBar == nil then
		G13BarManager.G13XPBar = Defaults.G13XPBar
		G13BarManager.G13CastBar = Defaults.G13CastBar
	end
	if G13BarManager.CastBarDisable == nil then
		G13BarManager.CastBarDisable = Defaults.CastBarDisable
	end	
	if G13BarManager.ArtifactBarViz == nil then
		G13BarManager.ArtifactBarViz = Defaults.ArtifactBarViz
	end
end

local frame = CreateFrame("Frame")
frame:RegisterEvent("ADDON_LOADED")
frame:SetScript("OnEvent", function(self)
	CheckDefaults()
	ns.cfg = G13BarManager
	if ns.cfg.HKVis == false then
		ns.HideHotKeys()
	end
	if ns.cfg.MenuVis == false then
		RegisterStateDriver(G13MenuBar, "visibility", "[petbattle] hide; [vehicleui] hide; hide")
		ns.MenuBarButton:SetChecked(1)
	else
		RegisterStateDriver(G13MenuBar, "visibility", "[petbattle] hide; [vehicleui] hide; show")
	end
	if ns.cfg.CastBarDisable == true then
		ns.CastBarCheckbutton:SetChecked(1)
	end
	if ns.cfg.ArtifactBarViz == false then
		ns.HideArtifactBar()
		ns.G13ArtifactWatchBarCheckbutton:SetChecked(1)
	end
end)